library flutter_map_sdk_v1;

import 'package:flutter/cupertino.dart';
import 'package:flutter_map/flutter_map.dart';
import 'package:latlong/latlong.dart';

import 'mapir.dart';

class MapView extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return FlutterMap(
        options: MapOptions(
          center: LatLng(35.713904, 51.400909),
          zoom: 16,
          minZoom: 1.0,
          maxZoom: 22.0,
        ),
        layers: [
          TileLayerOptions(
            wmsOptions: WMSTileLayerOptions(
                baseUrl: "https://map.ir/shiveh?"
                    "&EXCEPTIONS=application/vnd.ogc.se_inimage"
                    "&width=256"
                    "&height=256"
                    "&srs=EPSG:3857"
                    "&bbox=%f,%f,%f,%f&x-api-key=${Mapir.apiKey}",
                layers: ['Shiveh:Shiveh'],
                format: 'image/png',
                version: '1.1.0',
                otherParameters: {}),
          )
        ]);
  }

//  public MapView(@NonNull Context context) {
//    super(context);
//  }
//
//  public MapView(@NonNull Context context, @Nullable AttributeSet attrs) {
//    super(context, attrs);
//  }
//
//  public MapView(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
//    super(context, attrs, defStyleAttr);
//  }
//
//  public MapView(@NonNull Context context, @Nullable MapboxMapOptions options) {
//    super(context, options);
//  }
//
//  @Override
//  protected void initialize(@NonNull Context context, @NonNull MapboxMapOptions options) {
//    super.initialize(context, options);
//
//    ImageView logoView = findViewById(com.mapbox.mapboxsdk.R.id.logoView);
//    logoView.setImageResource(R.drawable.ic_logo);
//    logoView.setMaxWidth(150);
//    logoView.setMaxHeight(50);
//    options.compassImage(getResources().getDrawable(R.drawable.ic_compass));
//
//    TextView copyRight = new TextView(context);
//    copyRight.setText("© Map © OpenStreetMap");
//    copyRight.setGravity(Gravity.RIGHT | Gravity.BOTTOM);
//    copyRight.setTextSize(12);
//    copyRight.setPadding(0, 0, 12, 12);
//    addView(copyRight);
//
//    ImageView attrView = findViewById(com.mapbox.mapboxsdk.R.id.attributionView);
//    attrView.setClickable(false);
//    attrView.setEnabled(false);
//    attrView.setAlpha(0f);
//    attrView.setVisibility(GONE);
//  }
}
